# Functor Util.DataV

    module DataV: functor (L : sigtype t

    end) -> functor (V : Sig.COMPARABLE) -> sig .. end

Create a vertex type with some data attached to it

Parameters:

`L` | : | `sig type t end`
`V` | : | `Sig.COMPARABLE`

    type data = L.t

    type label = V.t

    type t = data Pervasives.ref * V.t

    val compare : t -> t -> int

    val hash : t -> int

    val equal : t -> t -> bool

    val create : data -> V.t -> t

    val label : t -> V.t

    val data : t -> data

    val set_data : t -> data -> unit